Acknowledge shipment - Fabric

Acknowledge Shipment

cURL

curl --request POST \
  --url https://api.fabric.inc/v3/shipments/{shipmentId}/acknowledge \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-channel-id: <x-fabric-channel-id>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "acknowledgedAt": "2023-08-01T20:03:28.483971941Z",
  "attributes": {
    "shipmentId": "627963716b19511e8a3a631b"
  }
}
'  

Python

import requests

url = "https://api.fabric.inc/v3/shipments/{shipmentId}/acknowledge"

payload = {
    "acknowledgedAt": "2023-08-01T20:03:28.483971941Z",
    "attributes": { "shipmentId": "627963716b19511e8a3a631b" }
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "x-fabric-channel-id": "<x-fabric-channel-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    'x-fabric-channel-id': '<x-fabric-channel-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    acknowledgedAt: '2023-08-01T20:03:28.483971941Z',
    attributes: {shipmentId: '627963716b19511e8a3a631b'}
  })
};

fetch('https://api.fabric.inc/v3/shipments/{shipmentId}/acknowledge', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Status Codes

Example Response

Successful Acknowledgment

{
  "acknowledgedAt": "2023-02-01T20:03:28.483971941Z"
}

Client Error

{
  "errors": [
    {
      "message": "Invalid request",
      "type": "CLIENT_ERROR"
    }
  ],
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}

Unauthorized Error

{
  "message": "Unauthorized request",
  "type": "CLIENT_ERROR"
}

Not Found Error

{
  "message": "Shipment not found",
  "type": "CLIENT_ERROR"
}

Server Error

{
  "message": "Internal server error",
  "type": "SERVER_ERROR"
}

Authorizations

Authorization
Type: string (header) required Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Path Parameters

Body